import { INodeSubmit } from "../types/entities";
export declare class DialogInfo {
    title: string;
    showWorkProcess: boolean;
    showWorkTask: boolean;
    showScriptDecision: boolean;
    showStartNode: boolean;
    showCustomerForm: boolean;
    /**显示form debug的编辑 */
    showFormManageDesign: boolean;
    nodeOnFromDesigner: INodeSubmit | undefined;
}
export declare const showNode: (dialogInfo: DialogInfo, nodeShow: INodeSubmit) => void;
export declare const closeAllDialog: (dialog: DialogInfo) => void;
declare const useDialog: () => DialogInfo;
export default useDialog;
