export declare function SetupWorkTaskCommand(monaco: any): void;
export declare function SetupOnComplete(monaco: any): void;
export declare function SetupWorkTaskCompleteOrStart(monaco: any): void;
export declare function SetupWorkActivityOnComplete(monaco: any): void;
export declare function SetupScriptAssignerCommand(monaco: any): void;
export declare function SetupScriptDecision(monaco: any): void;
export declare enum IntellisensType {
    WpOnStart = 0,
    WpOnComplete = 1,
    WpOnCancel = 2,
    WorkTaskCommand = 3,
    WorkTaskOnComplete = 4,
    /**
     * 当一个Task中的WorkActivity,结束之后会调用这个script
     */
    WorkActivityComplete = 5,
    WorkTaskStart = 6,
    ScriptAssignerCommand = 7,
    ScriptDecision = 8,
    default = 9
}
