import { AxiosInstance, AxiosResponse } from "axios";
import { FileSearcher, ResponseMessage } from "../types/";
export declare class FilesApi {
    request: AxiosInstance;
    path: string;
    constructor(strPath: string, request: AxiosInstance);
    list: (searcher: FileSearcher) => Promise<AxiosResponse<any, any>>;
    count: (searcher: FileSearcher) => Promise<AxiosResponse<any, any>>;
    pack: (fileId: Array<string>) => Promise<AxiosResponse<ResponseMessage>>;
}
