import { AxiosInstance, AxiosResponse } from "axios";
import { FileAttach } from "../types/";
export declare class UploadingApi {
    request: AxiosInstance;
    path: string;
    constructor(strPath: string, request: AxiosInstance);
    getFilesTextByProcessInstanceId(id: number): Promise<AxiosResponse<any, any>>;
    getFilesByProcessInstanceId(id: number): Promise<AxiosResponse<Array<FileAttach>>>;
    getFileById(id: number, name: string): void;
    deleteFile(fileId: number, processInstanceId: number): Promise<AxiosResponse<any, any>>;
    getFileDataById(id: number): Promise<unknown>;
    getById(id: number): Promise<AxiosResponse<any, any>>;
}
export default UploadingApi;
