import { AxiosInstance } from "axios";
import { InjectionKey } from "vue";
import defineApi from "../services/defineApi";
import { PerformerClient } from "../services/performer";
import { WorkflowApi } from "../services/WorkflowApi";
import { WorkflowLogApi } from "../services/workflowlog";
import WorkProcessApi from "../services/workProcess";
import WorkTaskCommandApi from "../services/wtCommand";
import UploadingApi from "../services/fileUploadApi";
import { FilesApi } from "../services/fileApi";
interface GetToken {
    (): string;
}
export declare type SwfOptions = {
    path: string;
    request: AxiosInstance;
    defineApi: defineApi;
    performerClient: PerformerClient;
    workflowApi: WorkflowApi;
    workProcessApi: WorkProcessApi;
    workTaskCommandApi: WorkTaskCommandApi;
    workflowLogApi: WorkflowLogApi;
    fileUploadApi: UploadingApi;
    filesApi: FilesApi;
    getToken: GetToken;
};
export declare const injectIptionsKey: InjectionKey<SwfOptions>;
export {};
