import { LogLevel } from './enum';
/** workflow logger */
export interface IWorkflowLog {
    logLevel: LogLevel;
    id: number;
    processInstanceId: number;
    version: number;
    workProcessName?: string | undefined;
    workTaskName?: string | undefined;
    workActivityId?: number | undefined;
    type?: string | undefined;
    content?: string | undefined;
    createTime: Date;
}
