import { IPerformerSubmit, WorkActivityStatus } from "../entities";
import { WorkActivityWithPermission } from "../permissions";
export interface WorkActivityListItemViewModel extends WorkActivityWithPermission {
    assignPerformer: IPerformerSubmit[];
    number: string;
    subject: string;
    id: number;
    workTaskName: string;
    status: WorkActivityStatus;
    /** 登录名称 */
    disposeUser: string;
    /** 显示名称 */
    disposeUserName: string;
    command: string;
    comment: string;
    timeSpan: string | null;
    processInstanceId: number;
    workProcessName: string;
    suggestionComment: string;
    processInstanceUser: string;
    createTime: string;
    processInstanceFinishTime: string | null;
    processInstanceCreateTime: string | null;
    assignTime: string | null;
    disposeTime: string | null;
    canDisposeWorkActivity: boolean;
    canGiveUpWorkActivity: boolean;
    canAcceptWorkActivity: boolean;
    workTaskCanGiveUp: boolean;
}
