declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            currentUser: string;
            saveBtn: string;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            /**
             * workActivityId
             */
            id: {
                type: NumberConstructor;
                required: true;
            };
            saveBtn: {
                type: StringConstructor;
                default: () => string;
            };
            /**当前登录的用户，非必须，因为服务端默认情况下才会验证当前登录用户。
             *
             * 这个值只用于调试组件，快速模拟用户登录并且执行测试。
             */
            currentUser: {
                type: StringConstructor;
                default: () => null;
            };
        }>> & {
            onResolve?: ((...args: any[]) => any) | undefined;
            "onUpdate:id"?: ((...args: any[]) => any) | undefined;
            onLoaded?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "currentUser" | "saveBtn">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "resolve" | "update:id" | "loaded", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            /**
             * workActivityId
             */
            id: {
                type: NumberConstructor;
                required: true;
            };
            saveBtn: {
                type: StringConstructor;
                default: () => string;
            };
            /**当前登录的用户，非必须，因为服务端默认情况下才会验证当前登录用户。
             *
             * 这个值只用于调试组件，快速模拟用户登录并且执行测试。
             */
            currentUser: {
                type: StringConstructor;
                default: () => null;
            };
        }>> & {
            onResolve?: ((...args: any[]) => any) | undefined;
            "onUpdate:id"?: ((...args: any[]) => any) | undefined;
            onLoaded?: ((...args: any[]) => any) | undefined;
        }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("resolve" | "update:id" | "loaded")[], string, {
            currentUser: string;
            saveBtn: string;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        /**
         * workActivityId
         */
        id: {
            type: NumberConstructor;
            required: true;
        };
        saveBtn: {
            type: StringConstructor;
            default: () => string;
        };
        /**当前登录的用户，非必须，因为服务端默认情况下才会验证当前登录用户。
         *
         * 这个值只用于调试组件，快速模拟用户登录并且执行测试。
         */
        currentUser: {
            type: StringConstructor;
            default: () => null;
        };
    }>> & {
        onResolve?: ((...args: any[]) => any) | undefined;
        "onUpdate:id"?: ((...args: any[]) => any) | undefined;
        onLoaded?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{}> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    /**
     * workActivityId
     */
    id: {
        type: NumberConstructor;
        required: true;
    };
    saveBtn: {
        type: StringConstructor;
        default: () => string;
    };
    /**当前登录的用户，非必须，因为服务端默认情况下才会验证当前登录用户。
     *
     * 这个值只用于调试组件，快速模拟用户登录并且执行测试。
     */
    currentUser: {
        type: StringConstructor;
        default: () => null;
    };
}>> & {
    onResolve?: ((...args: any[]) => any) | undefined;
    "onUpdate:id"?: ((...args: any[]) => any) | undefined;
    onLoaded?: ((...args: any[]) => any) | undefined;
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("resolve" | "update:id" | "loaded")[], "resolve" | "update:id" | "loaded", {
    currentUser: string;
    saveBtn: string;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: {
        buttons: (_: {}) => any;
    };
});
export default _default;
