import { ProcessInstanceViewModel, SwfOptions } from '../types';
import { Ref } from 'vue';
export declare class FlowDebugger {
    constructor(option: SwfOptions);
    workProcessName: string;
    option: SwfOptions;
    processInstanceId: number;
    workProcessId: number;
    processInstanceViewModel: ProcessInstanceViewModel | null;
}
export declare const useDebugger: (option?: SwfOptions | undefined) => {
    flowDebugger: FlowDebugger;
    createPI: (model: FlowDebugger, userName: string, loading: Ref<Boolean>) => void;
    startPI: (model: FlowDebugger) => Promise<void>;
    setWorkProcessId: (model: FlowDebugger, workProcessId: number) => void;
    refresh: (model: FlowDebugger) => void;
    setProcessInstanceId: (model: FlowDebugger, processInstanceId: number) => void;
};
