import { PropType } from "vue";
import { IWorkProcessSubmit } from "../types/entities";
import { MermaidNode } from "../types/mermaidNode";
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            mermaidNodes: MermaidNode[];
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            workProcess: {
                type: PropType<IWorkProcessSubmit | null>;
            };
            mermaidNodes: {
                type: PropType<MermaidNode[]>;
                default: never[];
            };
        }>> & {
            onSelect?: ((...args: any[]) => any) | undefined;
            onAddTask?: ((...args: any[]) => any) | undefined;
            onAddDecision?: ((...args: any[]) => any) | undefined;
            onDeleteNode?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "mermaidNodes">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "select" | "addTask" | "addDecision" | "deleteNode", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            workProcess: {
                type: PropType<IWorkProcessSubmit | null>;
            };
            mermaidNodes: {
                type: PropType<MermaidNode[]>;
                default: never[];
            };
        }>> & {
            onSelect?: ((...args: any[]) => any) | undefined;
            onAddTask?: ((...args: any[]) => any) | undefined;
            onAddDecision?: ((...args: any[]) => any) | undefined;
            onDeleteNode?: ((...args: any[]) => any) | undefined;
        }, {
            unSelect: () => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "addTask" | "addDecision" | "deleteNode")[], string, {
            mermaidNodes: MermaidNode[];
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        workProcess: {
            type: PropType<IWorkProcessSubmit | null>;
        };
        mermaidNodes: {
            type: PropType<MermaidNode[]>;
            default: never[];
        };
    }>> & {
        onSelect?: ((...args: any[]) => any) | undefined;
        onAddTask?: ((...args: any[]) => any) | undefined;
        onAddDecision?: ((...args: any[]) => any) | undefined;
        onDeleteNode?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        unSelect: () => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    workProcess: {
        type: PropType<IWorkProcessSubmit | null>;
    };
    mermaidNodes: {
        type: PropType<MermaidNode[]>;
        default: never[];
    };
}>> & {
    onSelect?: ((...args: any[]) => any) | undefined;
    onAddTask?: ((...args: any[]) => any) | undefined;
    onAddDecision?: ((...args: any[]) => any) | undefined;
    onDeleteNode?: ((...args: any[]) => any) | undefined;
}, {
    unSelect: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "addTask" | "addDecision" | "deleteNode")[], "select" | "addTask" | "addDecision" | "deleteNode", {
    mermaidNodes: MermaidNode[];
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: {};
});
export default _default;
