import { PropType } from "vue";
import * as workFlowIntellisens from "./workflow";
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            modelValue: string;
            width: string;
            height: string;
            language: string;
            preComment: string;
            editorOptions: Record<string, any>;
            intellisense: workFlowIntellisens.IntellisensType;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            width: {
                type: StringConstructor;
                default: string;
            };
            height: {
                type: StringConstructor;
                default: string;
            };
            language: {
                type: StringConstructor;
                default: string;
            };
            preComment: {
                type: StringConstructor;
                default: string;
            };
            modelValue: {
                type: StringConstructor;
                default: string;
            };
            editorOptions: {
                type: ObjectConstructor;
                default: () => {};
            };
            intellisense: {
                type: PropType<workFlowIntellisens.IntellisensType>;
                default: () => workFlowIntellisens.IntellisensType;
            };
        }>> & {
            "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
            onBlur?: ((...args: any[]) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "modelValue" | "width" | "height" | "language" | "preComment" | "editorOptions" | "intellisense">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:modelValue" | "blur", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            width: {
                type: StringConstructor;
                default: string;
            };
            height: {
                type: StringConstructor;
                default: string;
            };
            language: {
                type: StringConstructor;
                default: string;
            };
            preComment: {
                type: StringConstructor;
                default: string;
            };
            modelValue: {
                type: StringConstructor;
                default: string;
            };
            editorOptions: {
                type: ObjectConstructor;
                default: () => {};
            };
            intellisense: {
                type: PropType<workFlowIntellisens.IntellisensType>;
                default: () => workFlowIntellisens.IntellisensType;
            };
        }>> & {
            "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
            onBlur?: ((...args: any[]) => any) | undefined;
        }, {
            hightLine: (line: number) => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "blur")[], string, {
            modelValue: string;
            width: string;
            height: string;
            language: string;
            preComment: string;
            editorOptions: Record<string, any>;
            intellisense: workFlowIntellisens.IntellisensType;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        width: {
            type: StringConstructor;
            default: string;
        };
        height: {
            type: StringConstructor;
            default: string;
        };
        language: {
            type: StringConstructor;
            default: string;
        };
        preComment: {
            type: StringConstructor;
            default: string;
        };
        modelValue: {
            type: StringConstructor;
            default: string;
        };
        editorOptions: {
            type: ObjectConstructor;
            default: () => {};
        };
        intellisense: {
            type: PropType<workFlowIntellisens.IntellisensType>;
            default: () => workFlowIntellisens.IntellisensType;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onBlur?: ((...args: any[]) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        hightLine: (line: number) => void;
    }> & {} & import("vue").ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: StringConstructor;
        default: string;
    };
    height: {
        type: StringConstructor;
        default: string;
    };
    language: {
        type: StringConstructor;
        default: string;
    };
    preComment: {
        type: StringConstructor;
        default: string;
    };
    modelValue: {
        type: StringConstructor;
        default: string;
    };
    editorOptions: {
        type: ObjectConstructor;
        default: () => {};
    };
    intellisense: {
        type: PropType<workFlowIntellisens.IntellisensType>;
        default: () => workFlowIntellisens.IntellisensType;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
}, {
    hightLine: (line: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "blur")[], "update:modelValue" | "blur", {
    modelValue: string;
    width: string;
    height: string;
    language: string;
    preComment: string;
    editorOptions: Record<string, any>;
    intellisense: workFlowIntellisens.IntellisensType;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: {};
});
export default _default;
