import { AxiosInstance, AxiosResponse } from "axios";
import { WorkflowLog, WorkflowLogSearcher } from "../types";
export declare class WorkflowLogApi {
    request: AxiosInstance;
    url: string;
    constructor(request: AxiosInstance, strPath: string);
    list(searcher: WorkflowLogSearcher): Promise<AxiosResponse<Array<WorkflowLog>>>;
    count(searcher: WorkflowLogSearcher): Promise<AxiosResponse<any, any>>;
}
