import { AxiosInstance, AxiosResponse } from "axios";
import { ShowNextWorkTaskResult, WorkflowResolveSubmit } from "../types";
declare class WorkTaskCommandApi {
    request: AxiosInstance;
    url: string;
    constructor(request: AxiosInstance, strPath: string);
    getPreviousWorkTask: (workActivityId: number, command: string) => Promise<AxiosResponse<Array<string>>>;
    /**
     *
     * @param workActivityId 活动Id
     * @param submit 提交的数据。
     * @returns
     */
    getNextWorkTaskPerformers: (workActivityId: number, submit: WorkflowResolveSubmit) => Promise<AxiosResponse<ShowNextWorkTaskResult>>;
}
export default WorkTaskCommandApi;
