import { INodeSubmit, PerformerType } from "./entities";
export interface WorkProcessViewModel {
    name: string;
    formDesign: string;
}
export interface PermissionPerformer {
    id: number;
    type: PerformerType;
    name: string;
}
export interface WorkProcessPermissionSubmit {
    id: number;
    performers: PermissionPerformer[];
    processName: string;
    manageRoles: string[];
}
export interface WorkProcessWithNodesViewModel extends WorkProcessViewModel {
    nodes: INodeSubmit[];
}
