import { AssignScopeType, PerformerType } from "../index";
export interface IAssignSubmit {
    id: number;
    assignScopeType: AssignScopeType;
    $type: string;
}
export interface IScriptAssignerSubmit extends IAssignSubmit {
    script: string;
}
export interface IUserAssigner extends IAssignSubmit {
    performers: Array<IPerformerSubmit>;
}
export interface IPerformerSubmit {
    key: string;
    name: string;
    type: PerformerType;
}
export interface IPerformerSubmitWithChecked extends IPerformerSubmit {
    selected: boolean;
}
