import { NextTaskPerformers } from "./enum";
import { IWorkTaskCommandSubmit } from "./Commands/IScriptCommandSubmit";
import { INodeSubmit } from "./INodeSubmits";
import { IAssignSubmit } from ".";
export interface IWorkTaskSubmit extends INodeSubmit {
    nextTaskPerformers: NextTaskPerformers;
    formDesign: string;
    auto: boolean;
    commands: Array<IWorkTaskCommandSubmit>;
    assigner: IAssignSubmit;
    /**wokActivity结束 */
    workActivityCompleteScript: IWorkTaskScriptSubmit;
    /**工作任务结束 */
    workTaskCompleteScript: IWorkTaskScriptSubmit;
    /**
     * 工作任务开始
     */
    workTaskStartScript: IWorkTaskScriptSubmit;
    suggestionComment: string;
    canGiveUp: boolean;
}
export interface IWorkTaskScriptSubmit {
    script: string;
}
