/** 下一步处理人处理模式 */
export declare enum NextTaskPerformers {
    /**
     * 由设置指定
     */
    Auto = 0,
    /** 用户选择下一步处理人 */
    Manual = 1
}
/** 工作活动状态 */
export declare enum WorkActivityStatus {
    UnAssign = 0,
    Processing = 1,
    Complete = 2,
    CloseByAdmin = 3,
    Suspend = 4
}
/** 分配范围，分配类型 */
export declare enum PerformerType {
    User = 0,
    Role = 1,
    Org = 2
}
/** Defines logging severity levels. */
export declare enum LogLevel {
    Trace = 0,
    Debug = 1,
    Information = 2,
    Warning = 3,
    Error = 4,
    Critical = 5,
    None = 6
}
/** 工作流实例状态 */
export declare enum ProcessInstanceStatus {
    Created = 0,
    Processing = 1,
    Completed = 2,
    Cancel = 3,
    Suspend = 4
}
export declare enum AssignScopeType {
    SomeOfThem = 0,
    AllOfThem = 1,
    OneOfTem = 2
}
export interface IValidateCallback {
    (isValidate: boolean, msg: string | undefined): void;
}
export declare enum Priority {
    Lowest = 1,
    Low = 10,
    Normal = 100,
    High = 200,
    Highest = 300
}
