import { ProcessInstanceStatus, WorkActivityStatus } from "../entities";
import * as per from '../permissions';
export interface ProcessInstanceListItemViewModel extends per.WorkActivityWithPermission, per.ProcessInstanceWithPermission {
    workTaskName: string;
    workActivityStatus: WorkActivityStatus;
    workActivityDisposeUser: string;
    workActivityDisposeUserName: string;
    assignPerformers: string;
    assignScope: string;
    finishTime: string | null;
    workProcessName: string;
    subject: string;
    creator: string;
    id: number;
    status: ProcessInstanceStatus;
    createTime: string;
    number: string;
    comment: string;
    workActivityId: number;
    _showAllTag: boolean;
}
