import { ProcessInstanceStatus } from "../entities";
import { ProcessInstanceWithPermission } from "../permissions";
export interface ProcessInstanceViewModel extends ProcessInstanceWithPermission {
    subject: string;
    creator: string;
    id: number;
    status: ProcessInstanceStatus;
    finishTime: string | null;
    createTime: string;
    startTime: string | null;
    number: string;
    suspendTime: string | null;
    suspendComment: string;
    comment: string;
    workProcessName: string;
    form: string;
    formDesign: string;
    isWorkProcessCreator: boolean;
    isManager: boolean;
    canCreateProcessInstance: boolean;
    formManageDesign: string;
    workProcessId: number;
    tags: Array<TagSubmit>;
}
export interface TagSubmit {
    name: string;
    color: string;
}
