import { WorkProcessWithPermission } from "./permissions";
import { WorkProcessPermissionSubmit } from "./WorkProcessViewModel";
export interface WorkProcessListItem extends WorkProcessWithPermission {
    id: number;
    name: string;
    publish: boolean;
    version: number;
    childNodes: WorkProcessListItem[];
}
export declare type WorkProcessSearcher = {
    page: number;
    pageSize: number;
    name: "";
    enable: true;
};
export interface WorkProcessPermissionViewModel extends WorkProcessPermissionSubmit {
}
export interface WorkProcessPermissionSearch {
    processName: string;
    pageSize: number;
    page: number;
}
